Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 5593)
@@ -27,11 +27,12 @@
 ';
 $lang['UAM_casenTitle'] = 'Pseudo: Sensibilità maiuscole/minuscole';
-$lang['UAM_casenTitle_d'] = 'Di default, Piwigo è sensibile alle minuscole/maiuscole e vengono considerate come diverse lettere nei pseudo scelti dagli utenti al momento dell\'iscrizzione. E dunque "Pippo", "pippo" e "PIPPO" possono essere 3 diversi utenti.<br><br>
-L\'attivazione di questa opzione permette di considerare "Pippo", "pippo", "PIPPO", ... come un\'solo utente. Se "pippo" esiste già, creare un nuovo pseudo "Pippo" risulterà impossibile.<br><br>
-<b style="color: red;">Attenzione: questa opzione non ha alcun effetto sui pseudo creati prima della sua attivazione.</b>';
+$lang['UAM_casenTitle_d'] = 'Di default, Piwigo è sensibile alle minuscole e maiuscole e vengono considerate come diverse lettere nei pseudo scelti dagli utenti al momento dell\'iscrizzione. E dunque &quot;Pippo&quot;, &quot;pippo&quot; e &quot;PIPPO&quot; possono essere 3 diversi utenti.<br><br>
+L\'attivazione di questa opzione permette di considerare &quot;Pippo&quot;, &quot;pippo&quot;, &quot;PIPPO&quot;, ... come un\'solo utente. Se &quot;pippo&quot; esiste già, creare un nuovo pseudo &quot;Pippo&quot; risulterà impossibile.<br><br>
+<b style=&quot;color: red&quot;>Attenzione: questa opzione non ha alcun effetto sui pseudo creati prima della sua attivazione.</b>';
 $lang['UAM_carexcTitle'] = 'Pseudo: Esclusione di caratteri';
-$lang['UAM_carexcTitle_d'] = 'Può essere interessante vietare certi caratteri per i pseudo (ad esempio: negare login contenente "@"). Questa opzione permette di escludere dei caratteri o sequenza di caratterile.<br>NB: L\'opzione può anche escludere parole intere.
+$lang['UAM_carexcTitle_d'] = 'Può essere interessante vietare certi caratteri per i pseudo (ad esempio: negare login contenente &quot;@&quot;). Questa opzione permette di escludere i caratteri o sequenza di caratteri, eventi.<br>
+NB: L\'opzione può anche escludere parole intere.
 <br><br>
-<b style="color: red">Attenzione: questa opzione non ha alcun effetto sui pseudo creati prima della sua attivazione.</b>';
+<b style=&quot;color: red;&quot;>Attenzione: questa opzione non ha alcun effetto sui pseudo creati prima della sua attivazione.</b>';
 $lang['UAM_passwTitle'] = 'Rafforzare il livello di sicurezza delle password';
 $lang['UAM_passwTitle_d'] = 'L\'attivazione di questa opzione rende obbligatorio l\'inserimento di una password al momento della registrazione, e richiede la password scelta dal visitatore di incontrare un livello minimo di complessità. Se la soglia non viene raggiunta, il punteggio conseguito e il punteggio minimo da raggiungere sono visualizzate, insieme con raccomandazioni per aumentare il valore di questa partitura.<br><br>
@@ -148,3 +149,17 @@
 <b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.';
 // --------- End: New or revised $lang ---- from version 2.14.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+/*TODO*/$lang['UAM_confirmmail_custom1'] = 'Text of the confirmation page - Confirmation accepted';
+/*TODO*/$lang['UAM_confirmmail_custom1_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>acceptance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
+After installing the plugin, a standard text is set as an example.<br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.<br>
+<b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
+/*TODO*/$lang['UAM_confirmmail_custom2'] = 'Text of the confirmation page - Confirmation rejected';
+/*TODO*/$lang['UAM_confirmmail_custom2_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>rejectance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
+After installing the plugin, a standard text is set as an example.<br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.<br>
+<b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5593)
@@ -67,5 +67,4 @@
 /* Ghost Tracker Tab */
 $lang['Tab_GhostTracker'] = 'GhostTracker';
-$lang['LastVisit_Date'] = 'Data ultima visita';
 $lang['Reminder'] = 'Email di rilancio';
 $lang['Reminder_Sent_OK'] = 'SI';
@@ -106,5 +105,4 @@
 /* UserList Tab */
 $lang['UserList_Title'] = 'Monitoraggio degli utenti registrati';
-$lang['Nb_Days'] = 'Numero di giorni<br>dall\'ultima visita';
 // --------- End: New or revised $lang ---- from version 2.13.0
 
@@ -199,5 +197,4 @@
 $lang['Reminder_without_key_of_%s'] = '%s, la chiave di convalida sta per scadere';
 /* Errors and Warnings */
-$lang['Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Termine per la validazione dell\'iscrizione limitato" è attivo e se un gruppo di utenti non convalidati è attivo in "Impostare le conferme e validazioni all\'iscrizione".';
 $lang['Err_GhostTracker_Settings'] = 'Questa pagina è disponibile solo se "GhostTracker" è attivo in "Impostare le registrazioni seguite e altre opzioni".';
 $lang['Err_Userlist_Settings'] = 'Questa pagina è disponibile solo se "Monitoraggio degli utenti registrati" è attivo nella sezione "Impostare le registrazioni seguite e altre opzioni".';
@@ -226,5 +223,5 @@
 - In opzione, il plugin Extended Description per il supporto multi-lingue<br>
             </li><br><br>
-              <li>
+            <li>
 Tappe:<br><br>
 A. Nel plugin NBC_UAM:
@@ -236,5 +233,5 @@
                 <li>Salvare le impostazzioni</li>
               </ol>
-              </li><br>
+<br>
 B. Nel plugin PWG Stuffs :
               <ol>
@@ -245,5 +242,15 @@
                 <li>Salvare le impostazzioni</li>
               </ol>
+            </li>
           </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Testo della pagina di conferma - Conferma accettati';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Testo della pagina di conferma - Conferma respinto';
+$lang['LastVisit_Date'] = 'ultima visita';
+$lang['Nb_Days'] = 'Differenza in giorni';
+$lang['Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Conferma dell\'iscrizione" è attiva e se un gruppo di visitatori non convalidato è configurato in "Impostare le conferme e validazioni all\'iscrizione".';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 5593)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.14.2
+Version: 2.15.0
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
Index: /extensions/NBC_UserAdvManager/trunk/maintain.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 5593)
@@ -2,6 +2,7 @@
 
 if(!defined("UAM_PATH")) define('UAM_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-if (!defined('UAM_ROOT')) {
-  define('UAM_ROOT',     dirname(__FILE__).'/');
+if (!defined('UAM_ROOT'))
+{
+  define('UAM_ROOT', dirname(__FILE__).'/');
 }
 
@@ -81,83 +82,106 @@
   clean_obsolete_files();
 
-
+/* Check if it's a blank installation */
+/* ********************************** */
+	$query = '
+SELECT param
+  FROM '.CONFIG_TABLE.'
+WHERE param = "nbc_UserAdvManager_ConfirmMail"
+;';
+  $count1 = mysql_num_rows(pwg_query($query));
+  
+	$query1 = '
+SELECT param
+  FROM '.CONFIG_TABLE.'
+WHERE param = "nbc_UserAdvManager_ConfirmMail"
+;';
+  $count2 = mysql_num_rows(pwg_query($query1));
+
+/* If old params exist an upgrade is needed */
+/* **************************************** */
+  if ($count1 == 1 or $count2 == 1)
+  {
 /* Check for upgrade from 2.10 to 2.11 */
 /* *********************************** */
-	$query = '
+    $query = '
 SELECT *
   FROM '.CONFIG_TABLE.'
 WHERE param = "nbc_UserAdvManager_ConfirmMail"
 ;';
-  $count = mysql_num_rows(pwg_query($query)); 
-  
-	if ($count == 0)
-	{
-  /* upgrade from branch 2.10 to 2.11 */
-  /* ******************************** */
-		upgrade_210();
-	}
+    $count = mysql_num_rows(pwg_query($query)); 
+  
+    if ($count == 0)
+    {
+    /* upgrade from branch 2.10 to 2.11 */
+    /* ******************************** */
+      upgrade_210();
+    }
 
 
 /* Check for upgrade from 2.11 to 2.12 */
 /* *********************************** */
-  if (!table_exist(USER_LASTVISIT_TABLE))
-  {
-  /* upgrade from branch 2.11 to 2.12 */
-  /* ******************************** */
-		upgrade_211();
-  }
+    if (!table_exist(USER_LASTVISIT_TABLE))
+    {
+    /* upgrade from branch 2.11 to 2.12 */
+    /* ******************************** */
+  		upgrade_211();
+    }
 
 
 /* Check for upgrade from 2.12 to 2.13 */
 /* *********************************** */
-  $query = '
-SELECT *
-FROM '.USER_CONFIRM_MAIL_TABLE.'
-;';
-
-  $result = pwg_query($query);
+    $fields = mysql_list_fields($conf['db_base'],USER_CONFIRM_MAIL_TABLE);
+    $nb_fields = mysql_num_fields($fields); 
+
+//  $query = '
+//SELECT *
+//FROM '.USER_CONFIRM_MAIL_TABLE.'
+//;';
+
+//  $result = pwg_query($query);
 	
-	$numfields = mysql_num_fields($result);
-
-  if ($numfields < 6)
-  {
-  /* upgrade from branch 2.12 to 2.13 */
-  /* ******************************** */
-    upgrade_212();
-  }
+//	$numfields = mysql_num_fields($result);
+
+    if ($nb_fields < 6)
+    {
+    /* upgrade from branch 2.12 to 2.13 */
+    /* ******************************** */
+      upgrade_212();
+    }
 
 
 /* Serializing conf parameters - Available since 2.14.0 */
 /* **************************************************** */
-  if (unserialize($conf['nbc_UserAdvManager']) === false)
-  {
-  /* upgrade from branch 2.13 to 2.14 */
-  /* ******************************** */
-    upgrade_213();
-  }
-
+    if (unserialize($conf['nbc_UserAdvManager']) === false)
+    {
+    /* upgrade from branch 2.13 to 2.14 */
+    /* ******************************** */
+      upgrade_213();
+    }
+  
 
 /* Check for upgrade from 2.14.1 to 2.14.2 */
 /* *************************************** */
-	$query1 = '
+  	$query1 = '
 SELECT param
   FROM '.CONFIG_TABLE.'
+WHERE param = "nbc_UserAdvManager"
+;';
+    $count1 = mysql_num_rows(pwg_query($query1));
+  
+    $query1 = '
+SELECT param
+  FROM '.CONFIG_TABLE.'
 WHERE param = "nbc_UserAdvManager_ConfirmMail"
 ;';
-  $count1 = mysql_num_rows(pwg_query($query1));
-  
-	$query1 = '
-SELECT param
-  FROM '.CONFIG_TABLE.'
-WHERE param = "nbc_UserAdvManager_ConfirmMail"
-;';
-  $count2 = mysql_num_rows(pwg_query($query1)); 
-  
-	if ($count1 == 1 or $count2 == 1)
-	{
-  /* upgrade from branch 2.14.1 to 2.14.2 */
-  /* ************************************ */
-		upgrade_214_1();
-	}
+    $count2 = mysql_num_rows(pwg_query($query1)); 
+  
+    if ($count1 == 1 or $count2 == 1)
+    {
+    /* upgrade from branch 2.14.1 to 2.14.2 */
+    /* ************************************ */
+      upgrade_214_1();
+    }
+  }
 }
 
@@ -352,14 +376,28 @@
 
 /* Upgrading ConfirmMail options */
-  $conf_UAM2 = explode(';', $conf['UserAdvManager_ConfirmMail']);
-
-  $upgrade_UAM2 = array($conf_UAM2[0],$conf_UAM2[1],$conf_UAM2[2],$conf_UAM2[3],$conf_UAM2[4],'Thank you to have confirmed your email address and your registration on the gallery. Have fun !','Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.');
-
   $query = '
-UPDATE '.CONFIG_TABLE.'
-  SET value = "'.addslashes(serialize($upgrade_UAM2)).'"
-  WHERE param = "UserAdvManager_ConfirmMail"
-;';
-  pwg_query($query);
+SELECT value
+  FROM '.CONFIG_TABLE.'
+WHERE param = "UserAdvManager_ConfirmMail"
+;';
+
+  $result = pwg_query($query);
+  $conf_UAM_ConfirmMail = pwg_db_fetch_assoc($result);
+    
+  $conf_ConfirmMail = unserialize($conf_UAM_ConfirmMail['value']);
+  
+  $conf_ConfirmMail[5] ='Thank you to have confirmed your email address and your registration on the gallery. Have fun !';
+  $conf_ConfirmMail[6] ='Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.';
+  
+  $update_conf = serialize($conf_ConfirmMail);
+    
+  $query = '
+      UPDATE '.CONFIG_TABLE.'
+			SET value="'.addslashes($update_conf).'"
+			WHERE param="UserAdvManager_ConfirmMail"
+			LIMIT 1
+		;';
+
+		pwg_query($query);
 }
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/obsolete.list
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/obsolete.list	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/obsolete.list	(revision 5593)
@@ -1,4 +1,5 @@
-admin/UserAdvManager_admin.php
-admin/confirmmail.tpl
-admin/UserAdvManager_admin.tpl
-include/functions_UserAdvManager.inc.php
+admin/ghosttracker.tpl
+admin/global.tpl
+admin/uam.css
+admin/userlist.tpl
+admin/usermanager.tpl
